# Retrieve_All_Clients

Retrieve all clients.

`GET /v2/clients`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Clients
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Clients/Retrieve_All_Clients/

## Description

Retrieve all clients/companies for an account.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ClientsResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `ClientsResource`

CertCapture Client resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | Client[] | No | Data wrapper |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/clients" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```